Cancel
This method allows deleting currently queued Posts, as well as pending PCPs from the system.
Canceling queued Posts is done using their Posting Queue ID values, which can only be obtained as queueid following successful Direct Posting process.
- Posts queued via the Post Completion Pages will not provide the
queueiddata as the process is finalized by the user in the UI. - Note that pending Posts usually don't spend more than 2-5 minutes in the Posting Queue before they reach their respective Portals. Following that, the Posting Queue items are automatically removed, and the completed Posts can only be deleted if a Portal allows that.
- Pending Posts that for some reason stayed in the Posting Queue (disabled Portal, lack of posting quota, etc.) are also automatically deleted if they pass the date when they would normally expire on the Portal.
Removing PCPs is done using their Posting ID values, which can only be obtained as postingid following a successful PCP creation.
- Note that finalized PCPs (where the user either finished or cancelled the posting as part of the UI) are automatically removed.
- All non-finalized PCPs are also automatically removed within a month of their creation.
Endpoint
POST https://ws.idibu.com/clients/api/REMOTE/V3/[client-hash]
Query parameters
| Parameter Name | Type restrictions | Required? | Notes |
|---|---|---|---|
xml_text | String | Yes | The full query XML (see the Query format below), URL-encoded within the parameter. |
Query format
<idibu>
<method>cancel</method>
<postqueue> <!-- for deleting Posting Queue items -->
<queue id="[integer]" /> <!-- 'queueid' of a pending Post; multiple allowed -->
</postqueue>
<jobpostings> <!-- for deleting Post Completion Pages -->
<posting id="[integer]"> <!-- 'postingid' of the PCP; multiple allowed -->
</jobpostings>
</idibu>
Response format
<idibu>
<queue status="[cancelled|failed]" id="[integer]">[string]</queue> <!-- 'id' indicates the affected 'queueid' -->
<posting status="[cancelled|failed]" id="[integer]">[string]</posting> <!-- 'id' indicates the affected 'postingid' -->
</idibu>
Examples
Example request
<?xml version="1.0" encoding="UTF-8"?>
<idibu>
<method>cancel</method>
<postqueue>
<queue id="6543210" />
<queue id="6543215" />
</postqueue>
<jobpostings>
<posting id="543210" />
<posting id="543212" />
</jobpostings>
</idibu>
Example response
<?xml version="1.0" encoding="UTF-8" ?>
<idibu>
<queue status="cancelled" id="6543210">The stated record has been deleted/cancelled</queue>
<queue status="failed" id="6543215">No record with the stated ID was found</queue>
<posting status="cancelled" id="543210">The stated record has been deleted/cancelled</posting>
<posting status="failed" id="543212">No record with the stated ID was found</posting>
</idibu>